Runtime

## org.eclipse.gmf.runtime.notation.impl
Class SemanticListCompartmentImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.gmf.runtime.notation.impl.BasicDecorationNodeImpl
                              org.eclipse.gmf.runtime.notation.impl.BasicSemanticCompartmentImpl
                                  org.eclipse.gmf.runtime.notation.impl.SemanticListCompartmentImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, BasicDecorationNode, BasicSemanticCompartment, DrawerStyle, FilteringStyle, Node, SemanticListCompartment, SortingStyle, Style, TitleStyle, View

    public class SemanticListCompartmentImpl

extends BasicSemanticCompartmentImpl
implements SemanticListCompartment

An implementation of the model object 'Semantic List Compartment'.

The following features are implemented:

- `Sorting`
- `Sorting Keys`
- `Sorted Objects`
- `Filtering`
- `Filtering Keys`
- `Filtered Objects`
- `Show Title`

Since:
  1.2
** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected org.eclipse.emf.common.util.EList` `filteredObjects` The cached value of the '`Filtered Objects`' reference list
`protected static Filtering` `FILTERING_EDEFAULT` The default value of the '`Filtering`' attribute
`protected static int` `FILTERING_EFLAG` The flags representing the value of the '`Filtering`' attribute
`protected static int` `FILTERING_EFLAG_DEFAULT` The flags representing the default value of the '`Filtering`' attribute
`protected static int` `FILTERING_EFLAG_OFFSET` The offset of the flags representing the value of the '`Filtering`' attribute
`protected static java.util.List` `FILTERING_KEYS_EDEFAULT` The default value of the '`Filtering Keys`' attribute
`protected java.util.List` `filteringKeys` The cached value of the '`Filtering Keys`' attribute
`protected static boolean` `SHOW_TITLE_EDEFAULT` The default value of the '`Show Title`' attribute
`protected static int` `SHOW_TITLE_EFLAG` The flag representing the value of the '`Show Title`' attribute
`protected org.eclipse.emf.common.util.EList` `sortedObjects` The cached value of the '`Sorted Objects`' reference list
`protected static Sorting` `SORTING_EDEFAULT` The default value of the '`Sorting`' attribute
`protected static int` `SORTING_EFLAG` The flags representing the value of the '`Sorting`' attribute
`protected static int` `SORTING_EFLAG_DEFAULT` The flags representing the default value of the '`Sorting`' attribute
`protected static int` `SORTING_EFLAG_OFFSET` The offset of the flags representing the value of the '`Sorting`' attribute
`protected static java.util.Map` `SORTING_KEYS_EDEFAULT` The default value of the '`Sorting Keys`' attribute
`protected java.util.Map` `sortingKeys` The cached value of the '`Sorting Keys`' attribute

Fields inherited from class org.eclipse.gmf.runtime.notation.impl.BasicSemanticCompartmentImpl
`COLLAPSED_EDEFAULT, COLLAPSED_EFLAG, layoutConstraint`

Fields inherited from class org.eclipse.gmf.runtime.notation.impl.BasicDecorationNodeImpl
`childrenFeatures, element, ELEMENT_ESETFLAG, MUTABLE_EDEFAULT, MUTABLE_EFLAG, type, TYPE_EDEFAULT, VISIBLE_EDEFAULT, VISIBLE_EFLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `SemanticListCompartmentImpl()`

Method Summary
`int` `eBaseStructuralFeatureID(int derivedFeatureID, java.lang.Class baseClass)`
`int` `eDerivedStructuralFeatureID(int baseFeatureID, java.lang.Class baseClass)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eSetGen(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`void` `eUnsetGen(int featureID)`
`org.eclipse.emf.common.util.EList` `getFilteredObjects()`
`Filtering` `getFiltering()`
`java.util.List` `getFilteringKeys()`
`org.eclipse.emf.common.util.EList` `getSortedObjects()`
`Sorting` `getSorting()`
`java.util.Map` `getSortingKeys()`
`boolean` `isShowTitle()`
`void` `setFiltering(Filtering newFiltering)`
`void` `setFilteringKeys(java.util.List newFilteringKeys)`
`void` `setShowTitle(boolean newShowTitle)`
`void` `setSorting(Sorting newSorting)`
`void` `setSortingKeys(java.util.Map newSortingKeys)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.gmf.runtime.notation.impl.BasicSemanticCompartmentImpl
`basicSetLayoutConstraint, createLayoutConstraint, eInverseRemove, getLayoutConstraint, isCollapsed, setCollapsed, setLayoutConstraint`

Methods inherited from class org.eclipse.gmf.runtime.notation.impl.BasicDecorationNodeImpl

`basicGetDiagram, basicGetElement, createChild, createStyle, eInverseAdd, getChildren, getDiagram, getElement, getNamedStyle, getPersistedChildren, getSourceEdges, getStyle, getStyles, getTargetEdges, getTransientChildren, getType, getVisibleChildren, insertChild, insertChild, insertChildAt, isMutable, isSetElement, isVisible, persist, persistChildren, removeChild, setElement, setMutable, setType, setVisible, unsetElement`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eInvoke, eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.notation.Node
`createLayoutConstraint, getLayoutConstraint, setLayoutConstraint`

Methods inherited from interface org.eclipse.gmf.runtime.notation.View
`createChild, createStyle, getChildren, getDiagram, getElement, getNamedStyle, getPersistedChildren, getSourceEdges, getStyle, getStyles, getTargetEdges, getTransientChildren, getType, getVisibleChildren, insertChild, insertChild, insertChildAt, isMutable, isSetElement, isVisible, persist, persistChildren, removeChild, setElement, setMutable, setType, setVisible, unsetElement`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.gmf.runtime.notation.DrawerStyle
`isCollapsed, setCollapsed`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### SORTING_EDEFAULT

    protected static final Sorting SORTING_EDEFAULT

  The default value of the '`Sorting`' attribute.

  See Also:
    `getSorting()`
  ** Generated **
  Ordered:

### SORTING_EFLAG_OFFSET

    protected static final int SORTING_EFLAG_OFFSET

  The offset of the flags representing the value of the '`Sorting`' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SORTING_EFLAG_DEFAULT

    protected static final int SORTING_EFLAG_DEFAULT

  The flags representing the default value of the '`Sorting`' attribute.

  ** Generated **
  Ordered:

### SORTING_EFLAG

    protected static final int SORTING_EFLAG

  The flags representing the value of the '`Sorting`' attribute.

  See Also:
    `getSorting()`, Constant Field Values
  ** Generated **
  Ordered:

### SORTING_KEYS_EDEFAULT

    protected static final java.util.Map SORTING_KEYS_EDEFAULT

  The default value of the '`Sorting Keys`' attribute.

  See Also:
    `getSortingKeys()`
  ** Generated **
  Ordered:

### sortingKeys

    protected java.util.Map sortingKeys

  The cached value of the '`Sorting Keys`' attribute.

  See Also:
    `getSortingKeys()`
  ** Generated **
  Ordered:

### sortedObjects

    protected org.eclipse.emf.common.util.EList sortedObjects

  The cached value of the '`Sorted Objects`' reference list.

  See Also:
    `getSortedObjects()`
  ** Generated **
  Ordered:

### FILTERING_EDEFAULT

    protected static final Filtering FILTERING_EDEFAULT

  The default value of the '`Filtering`' attribute.

  See Also:
    `getFiltering()`
  ** Generated **
  Ordered:

### FILTERING_EFLAG_OFFSET

    protected static final int FILTERING_EFLAG_OFFSET

  The offset of the flags representing the value of the '`Filtering`' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FILTERING_EFLAG_DEFAULT

    protected static final int FILTERING_EFLAG_DEFAULT

  The flags representing the default value of the '`Filtering`' attribute.

  ** Generated **
  Ordered:

### FILTERING_EFLAG

    protected static final int FILTERING_EFLAG

  The flags representing the value of the '`Filtering`' attribute.

  See Also:
    `getFiltering()`, Constant Field Values
  ** Generated **
  Ordered:

### FILTERING_KEYS_EDEFAULT

    protected static final java.util.List FILTERING_KEYS_EDEFAULT

  The default value of the '`Filtering Keys`' attribute.

  See Also:
    `getFilteringKeys()`
  ** Generated **
  Ordered:

### filteringKeys

    protected java.util.List filteringKeys

  The cached value of the '`Filtering Keys`' attribute.

  See Also:
    `getFilteringKeys()`
  ** Generated **
  Ordered:

### filteredObjects

    protected org.eclipse.emf.common.util.EList filteredObjects

  The cached value of the '`Filtered Objects`' reference list.

  See Also:
    `getFilteredObjects()`
  ** Generated **
  Ordered:

### SHOW_TITLE_EDEFAULT

    protected static final boolean SHOW_TITLE_EDEFAULT

  The default value of the '`Show Title`' attribute.

  See Also:
    `isShowTitle()`, Constant Field Values
  ** Generated **
  Ordered:

### SHOW_TITLE_EFLAG

    protected static final int SHOW_TITLE_EFLAG

  The flag representing the value of the '`Show Title`' attribute.

  See Also:
    `isShowTitle()`, Constant Field Values
  ** Generated **
  Ordered:

Constructor Detail

### SemanticListCompartmentImpl

    protected SemanticListCompartmentImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `BasicSemanticCompartmentImpl`
  ** Generated **

### getSorting

    public Sorting getSorting()

  Specified by:
    `getSorting` in interface `SortingStyle`
  Returns:
    the value of the 'Sorting' attribute.
  See Also:
    `Sorting`, `SortingStyle.setSorting(Sorting)`, `NotationPackage.getSortingStyle_Sorting()`
  ** Generated **

### setSorting

    public void setSorting(Sorting newSorting)

  Specified by:
    `setSorting` in interface `SortingStyle`
  Parameters:
    `newSorting` - the new value of the 'Sorting' attribute.
  See Also:
    `Sorting`, `SortingStyle.getSorting()`
  ** Generated **

### getSortingKeys

    public java.util.Map getSortingKeys()

  Specified by:
    `getSortingKeys` in interface `SortingStyle`
  Returns:
    the value of the 'Sorting Keys' attribute.
  See Also:
    `SortingStyle.setSortingKeys(Map)`, `NotationPackage.getSortingStyle_SortingKeys()`
  ** Generated **

### setSortingKeys

    public void setSortingKeys(java.util.Map newSortingKeys)

  Specified by:
    `setSortingKeys` in interface `SortingStyle`
  Parameters:
    `newSortingKeys` - the new value of the 'Sorting Keys' attribute. The value cannot be `null`
  See Also:
    `SortingStyle.getSortingKeys()`
  ** Generated **

### getSortedObjects

    public org.eclipse.emf.common.util.EList getSortedObjects()

  Specified by:
    `getSortedObjects` in interface `SortingStyle`
  Returns:
    the value of the 'Sorted Objects' reference list.
  See Also:
    `NotationPackage.getSortingStyle_SortedObjects()`
  ** Generated **

### getFiltering

    public Filtering getFiltering()

  Specified by:
    `getFiltering` in interface `FilteringStyle`
  Returns:
    the value of the 'Filtering' attribute.
  See Also:
    `Filtering`, `FilteringStyle.setFiltering(Filtering)`, `NotationPackage.getFilteringStyle_Filtering()`
  ** Generated **

### setFiltering

    public void setFiltering(Filtering newFiltering)

  Specified by:
    `setFiltering` in interface `FilteringStyle`
  Parameters:
    `newFiltering` - the new value of the 'Filtering' attribute.
  See Also:
    `Filtering`, `FilteringStyle.getFiltering()`
  ** Generated **

### getFilteringKeys

    public java.util.List getFilteringKeys()

  Specified by:
    `getFilteringKeys` in interface `FilteringStyle`
  Returns:
    the value of the 'Filtering Keys' attribute.
  See Also:
    `FilteringStyle.setFilteringKeys(List)`, `NotationPackage.getFilteringStyle_FilteringKeys()`
  ** Generated **

### setFilteringKeys

    public void setFilteringKeys(java.util.List newFilteringKeys)

  Specified by:
    `setFilteringKeys` in interface `FilteringStyle`
  Parameters:
    `newFilteringKeys` - the new value of the 'Filtering Keys' attribute. The value cannot be `null`
  See Also:
    `FilteringStyle.getFilteringKeys()`
  ** Generated **

### getFilteredObjects

    public org.eclipse.emf.common.util.EList getFilteredObjects()

  Specified by:
    `getFilteredObjects` in interface `FilteringStyle`
  Returns:
    the value of the 'Filtered Objects' reference list.
  See Also:
    `NotationPackage.getFilteringStyle_FilteredObjects()`
  ** Generated **

### isShowTitle

    public boolean isShowTitle()

  Specified by:
    `isShowTitle` in interface `TitleStyle`
  Returns:
    the value of the 'Show Title' attribute.
  See Also:
    `TitleStyle.setShowTitle(boolean)`, `NotationPackage.getTitleStyle_ShowTitle()`
  ** Generated **

### setShowTitle

    public void setShowTitle(boolean newShowTitle)

  Specified by:
    `setShowTitle` in interface `TitleStyle`
  Parameters:
    `newShowTitle` - the new value of the 'Show Title' attribute.
  See Also:
    `TitleStyle.isShowTitle()`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `BasicSemanticCompartmentImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `BasicSemanticCompartmentImpl`
  ** Generated **
    NOT

### eSetGen

    public void eSetGen(int featureID,
                        java.lang.Object newValue)

  Overrides:
    `eSetGen` in class `BasicSemanticCompartmentImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `BasicSemanticCompartmentImpl`
  ** Generated **
    NOT

### eUnsetGen

    public void eUnsetGen(int featureID)

  Overrides:
    `eUnsetGen` in class `BasicSemanticCompartmentImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `BasicSemanticCompartmentImpl`
  ** Generated **
    NOT

### eBaseStructuralFeatureID

    public int eBaseStructuralFeatureID(int derivedFeatureID,
                                        java.lang.Class baseClass)

  Specified by:
    `eBaseStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eBaseStructuralFeatureID` in class `BasicSemanticCompartmentImpl`
  ** Generated **

### eDerivedStructuralFeatureID

    public int eDerivedStructuralFeatureID(int baseFeatureID,
                                           java.lang.Class baseClass)

  Specified by:
    `eDerivedStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eDerivedStructuralFeatureID` in class `BasicSemanticCompartmentImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BasicSemanticCompartmentImpl`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.